#! /usr/local/bin/perl

use strict;

# argv0 is sites list
open FILE, "$ARGV[0]" or die $!;
# argv1 is time dir
our $dir_name = $ARGV[1];

my $fail_filename = "$dir_name/ce.fail";
my $pass_filename = "$dir_name/ce.pass";
open FAIL, ">$fail_filename" or die $!;
open PASS, ">$pass_filename" or die $!;

our ($site, $gk);


sub find_failure
{
	open INFO, "$dir_name/$site" or die $!;
	my ($line, $status, $flag, $end);
	$end = 0;
	$flag = 0;

	while ($line = <INFO>) {
		if ($line =~ /Checking/) {
			$status = <INFO>;
			if ($status !~ /<STATUS> 1/) {
				if ($flag == 0) {
					print FAIL "\n\n----------------------- $site: $gk -----------------------\n";
					$flag = 1;
				}
				print FAIL "$line$status";
				$line = <INFO>;
				while ($line && $line ne "\n" && $line !~ /----------/) {
					print FAIL "$line";
					$line = <INFO>;
				}
				if ($line =~ /----------/) {
					$end = 1;
					last;
				}
				elsif (!$line) {
					last;
				}
			}
		}
		elsif ($line =~ /End/) {
			$end = 1;
			last;
		}
	}

	if ($end != 1) {
		if ($flag == 0) {
			print FAIL "\n\n----------------------- $site: $gk -----------------------\n";
		}
		print FAIL "not finished.\n";
	}
	elsif ($flag == 0) {
		print PASS "$site\t$gk\n";
	}

	close INFO;
}


while (my $line = <FILE>) {
	if ($line =~ /#/) {
		next;
	}
	$line =~ m"(\S+)\t(\S+)\s*";
	$site = $1;
	$gk = $2;
	find_failure ();
}

close (FILE);
close (FAIL);
close (PASS);
