#! /usr/local/bin/perl

use strict;
use Time::localtime;


sub get_cur_time
{
	my $cur = localtime();

	my $year = $cur->year() + 1900;
	my $mon = $cur->mon() + 1;
	my $mday = $cur->mday();
	my $hour = $cur->hour();
	my $min = $cur->min();
	my $sec = $cur->sec();

	return "$year$mon$mday-$hour:$min:$sec";
}


my $site_list = $ARGV[0];
open SITES_FILE, "$site_list" or die $!;

my $dir_name = get_cur_time();
`mkdir -p $dir_name`;
my ($site, $gk);

while (my $line = <SITES_FILE>) {
	if ($line =~ /#/) {
		next;
	}
	$line =~ m"(\S+)\t(\S+)\s*";
	$site = $1;
	$gk = $2;
	
	print "start testing $site\t$gk\n";
	`perl site_verify.pl --host=$gk >> $dir_name/$site &`;
}

close (SITES_FILE);